package com.storlead.wecom.properties;

/**
 * 企业微信相关配置
 *
 * @author blank
 * @date 2021-6-16 上午 10:46
 */
public class CorpWeChatProperties {

    private static Boolean loading = false;
    /**
     * 企业ID
     */
    public static String corpId;

    /**
     * 通讯录的密钥 这个是通讯录secret只能用来调用通讯录相关API使用
     */
    public static String corpAddressSecret;

    /**
     * 领存项目 应用ID
     */
    public static Integer corpAgentId;

    /**
     * 领存项目 应用秘钥
     */
    public static String corpAgentSecret;

    public static String getWechatMessageCallbackUrl() {
        return wechatMessageCallbackUrl;
    }

    public static void setWechatMessageCallbackUrl(String wechatMessageCallbackUrl) {
        CorpWeChatProperties.wechatMessageCallbackUrl = wechatMessageCallbackUrl;
    }

    /**
     * 微信消息回调域名
     */
    public static String wechatMessageCallbackUrl;

    public static void setLoading(Boolean loading) {
        CorpWeChatProperties.loading = loading;
    }

    public static void setCorpId(String corpId) {
        CorpWeChatProperties.corpId = corpId;
    }

    public static void setCorpAddressSecret(String corpAddressSecret) {
        CorpWeChatProperties.corpAddressSecret = corpAddressSecret;
    }
    public static void setCorpAgentId(Integer corpAgentId) {
        CorpWeChatProperties.corpAgentId = corpAgentId;
    }
    public static void setCorpAgentSecret(String corpAgentSecret) {
        CorpWeChatProperties.corpAgentSecret = corpAgentSecret;
    }

    public static Boolean getLoading() {
        return loading;
    }

    public static String getCorpId() {
        return corpId;
    }

    public static String getCorpAddressSecret() {
        return corpAddressSecret;
    }

    public static Integer getCorpAgentId() {
        return corpAgentId;
    }

    public static String getCorpAgentSecret() {
        return corpAgentSecret;
    }
}
